# animate.c File Reference

`#include "wand/studio.h"`
`#include "wand/MagickWand.h"`
`#include "wand/mogrify-private.h"`
`#include "magick/animate-private.h"`

## Defines
#define | DestroyAnimate()
#define | ThrowAnimateException(asperity, tag, option)
#define | ThrowAnimateInvalidArgumentException(option, argument)
## Functions
static void | AnimateUsage (void)
WandExport MagickBooleanType | AnimateImageCommand (ImageInfo *image_info, int argc, char **argv, char **wand_unused(metadata), ExceptionInfo *exception)

## Define Documentation

#define DestroyAnimate | ( |  | ) |

Value:

    { \
      XDestroyResourceInfo(&resource_info); \
      if (display != (Display *) NULL) \
        { \
          XCloseDisplay(display); \
          display=(Display *) NULL; \
        } \
      XDestroyResourceInfo(&resource_info); \
      for ( ; k >= 0; k--) \
        image_stack[k]=DestroyImageList(image_stack[k]); \
      for (i=0; i < (long) argc; i++) \
        argv[i]=DestroyString(argv[i]); \
      argv=(char **) RelinquishMagickMemory(argv); \
    }

#define ThrowAnimateException | ( | asperity,
|  | tag,
|  | option |  | ) |

Value:

    { \
      (void) ThrowMagickException(exception,GetMagickModule(),asperity,tag,"`%s'", \
        option); \
      DestroyAnimate(); \
      return(MagickFalse); \
    }

#define ThrowAnimateInvalidArgumentException | ( | option,
|  | argument |  | ) |

Value:

    { \
      (void) ThrowMagickException(exception,GetMagickModule(),OptionError, \
        "InvalidArgument","`%s': %s",argument,option); \
      DestroyAnimate(); \
      return(MagickFalse); \
    }

## Function Documentation

WandExport MagickBooleanType AnimateImageCommand | ( | ImageInfo * | image_info,
|  | int | argc,
|  | char ** | argv,
|  | char ** | wand_unused(metadata),
|  | ExceptionInfo * | exception |
| ) |  |  |

static void AnimateUsage | ( | void |  | ) | `[static]`